<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.unis.crk.cplbusiness.mapper.DataCrkywCplfjDefaultMapper">

        <!-- 通用查询映射结果 -->
        <resultMap id="BaseResultMap" type="com.unis.crk.cplbusiness.entity.DataCrkywCplfjDefault">
                    <id column="dataId" property="dataId" />
                    <result column="unitid" property="unitid" />
                    <result column="zdmc" property="zdmc" />
                    <result column="zdbm" property="zdbm" />
                    <result column="ch" property="ch" />
                    <result column="hwh" property="hwh" />
                    <result column="chmc" property="chmc" />
                    <result column="hwmc" property="hwmc" />
                    <result column="builder" property="builder" />
                    <result column="cjsj" property="cjsj" />
                    <result column="editor" property="editor" />
                    <result column="modifyDate" property="modifyDate" />
                    <result column="updateTime" property="updateTime" />
                    <result column="scrq" property="scrq" />
                    <result column="bzq" property="bzq" />
                    <result column="xz" property="xz" />
                    <result column="deptId" property="deptId" />
                    <result column="sjjlpzmc" property="sjjlpzmc" />
                    <result column="sjjlpzbh" property="sjjlpzbh" />
                    <result column="sjjlppmc" property="sjjlppmc" />
                    <result column="sjjlppbh" property="sjjlppbh" />
                    <result column="sjjldjbh" property="sjjldjbh" />
                    <result column="sjjldjmc" property="sjjldjmc" />
                    <result column="sjjlspmc" property="sjjlspmc" />
                    <result column="sjjlspmcbh" property="sjjlspmcbh" />
                    <result column="gysbh" property="gysbh" />
                    <result column="gys" property="gys" />
                    <result column="fjdh" property="fjdh" />
                    <result column="ddbh" property="ddbh" />
                    <result column="ddsl" property="ddsl" />
                    <result column="ddsysl" property="ddsysl" />
                    <result column="scpc" property="scpc" />
                    <result column="gg" property="gg" />
                    <result column="jldw" property="jldw" />
                    <result column="js" property="js" />
                    <result column="dj" property="dj" />
                    <result column="zje" property="zje" />
                    <result column="sjjlsl" property="sjjlsl" />
                    <result column="ywsj" property="ywsj" />
                    <result column="jggy" property="jggy" />
                    <result column="ysfs" property="ysfs" />
                    <result column="ccfs" property="ccfs" />
                    <result column="scnf" property="scnf" />
                    <result column="cd" property="cd" />
                    <result column="zjbh" property="zjbh" />
                    <result column="cph" property="cph" />
                    <result column="ywlx" property="ywlx" />
                    <result column="cyr" property="cyr" />
                    <result column="cyrdz" property="cyrdz" />
                    <result column="cyrdh" property="cyrdh" />
                    <result column="cyrsfz" property="cyrsfz" />
                    <result column="ddcbid" property="ddcbid" />
                    <result column="pf" property="pf" />
                    <result column="bz" property="bz" />
        </resultMap>
    <select id="selectMyMapsPage" resultType="java.util.Map">
        SELECT	*  FROM	data_crkyw_cplfj_default
        <if test="ew.sqlSegment != null and ew.sqlSegment != ''">
            where  ${ew.sqlSegment}
        </if>
        order by modifyDate desc
    </select>

</mapper>